Summary:	Sc is a free curses-based spreadsheet program that uses key bindings similar to vi and less
Summary(pl.UTF-8):	Sc jest darmowym, bazującym na curses arkuszem kalkulacyjnym, uzywającym skrótów klawiszowych podobnych do vi oraz less
Name:		sc
Version:	7.16
Release:	6
License:	Public Domain
Group:		Applications/Math
Source0:	http://www.ibiblio.org/pub/Linux/apps/financial/spreadsheet/%{name}-%{version}.tar.gz
# Source0-md5:	1db636e9b2dc7cd73c40aeece6852d47
# https://launchpad.net/ubuntu/hoary/+source/sc/7.16-2/+files/sc_7.16-2.diff.gz
Patch0:		%{name}_%{version}-2.diff
Patch1:		format_security_fixes.patch
URL:		http://www.ibiblio.org/pub/Linux/apps/financial/spreadsheet/
BuildRequires:	bison
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sc is a spreadsheet calculator based on rectangular tables like a
financial spreadsheet. When invoked it presents you with a table
organized as rows and columns of cells. If invoked without a file
argument, by default the initial table is empty. Each cell can be
associated with a numeric value, a label string and/or an expression
which evaluates to a numeric value or label string, often based on
other cell values (formula).

%description -l pl.UTF-8
Sc jest jest arkuszem kalkulacyjnym bazującym na prostokątnych
tabelkach, takich jak finansowe arkusze. Po odpaleniu zaprezentuje
tabelke zorganizowaną z wierszy i kolumn komórek. Jeżeli zostanie
wywołany bez argumentu plikowego, domyślnie tabelka będzie pusta.
Każdej komórce można przypisać wartość numeryczną, tekstową etykietę
oraz/lub wyrażenie rozwijane do wartości numerycznej lub etykiety
tesktowej, często bazując na wartościach innych komórek (formuła).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcppflags} %{rpmcflags} -I/usr/include/ncurses -DSYSV3" \
	LIBDIR="%{_libdir}/sc"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/sc,%{_mandir}/man1}
%{__make} prefix="$RPM_BUILD_ROOT%{_prefix}" \
	LIBDIR="$RPM_BUILD_ROOT%{_libdir}/sc" \
	MANDIR="$RPM_BUILD_ROOT%{_mandir}/man1" \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README VMS_NOTES SC.MACROS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/sc
%dir %{_libdir}/sc/plugins
%{_libdir}/sc/tutorial.sc
%{_mandir}/man1/*
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sc.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> abb4f42
- rel 6; fix build

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b95e958
- release 5 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 120169c
- ncurses rebuild
- release 4 (by relup.sh)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e28fdeb
- release 3

* Mon Feb 15 2010 Tomasz Pala <gotar@pld-linux.org> ffcde81
- updated with Ubuntu patch (https://launchpad.net/ubuntu/intrepid/+source/sc/7.16-2)

* Sun Feb 14 2010 Tomasz Pala <gotar@pld-linux.org> 3af1d9e
- integer release

* Fri Feb 05 2010 sparky <sparky@pld-linux.org> 171eb0f
- BR: bison

* Fri Feb 05 2010 Tomasz Pala <gotar@pld-linux.org> 95d2ea8
- better Group

* Thu Feb 04 2010 Krzysztof Krakowiak <evil@pld-linux.org> ae62b84
- initial release

